Bug 4620 - /etc/sysconfig/network-scripts/ifup not calling pump correctly when a hostname is required to be sent to the dhcp server
/etc/sysconfig/network-scripts/ifup not calling pump correctly when a hostnam...
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-19 23:25 EDT by jar
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-20 11:35:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jar 1999-08-19 23:25:20 EDT
If you have configured a Redhat 6 machine to use DHCP and
you are required to send the DHCP server a hostname there
is no provision in /etc/sysconfig/network-scripts/ifup do
do so.

My work around was to replace, in ifup:

      if /sbin/pump -i $DEVICE ; then

with

      if /sbin/pump -h `hostname` -i $DEVICE ; then

Very may DHCP sites would be set up so this is required, I
believe.

regards,
john
Comment 1 Bill Nottingham 1999-08-20 11:35:59 EDT
In initscripts-4.32 (will be in next rawhide), just set
the 'DHCP_HOSTNAME' variable in /etc/sysconfig/ifcfg-<device>,
and ifup will pass this to pump.

Note You need to log in before you can comment on or make changes to this bug.